Results 1 to 2 of 2

Thread: Opensuse 13.1 autoyast spawns package resolver run failed

  1. #1
    Join Date
    Feb 2012
    Location
    Copenhagen
    Posts
    15

    Default Opensuse 13.1 autoyast spawns package resolver run failed

    Dear Opensuse.
    I have run into a issue with Opensuse 13.1 X64 and autoyast. When trying to create a autoyast profile and installing a opensuse 13.1 system with the newly created autoyast profile. during the initial stage of the autoinstallation when running through the packages the system spawns a "package Resolver run failed" error. i can wait 8 seconds and the installation continues. but /var/log/YaST2/badlist shows the following conflict:

    productpenSUSE-13.1-1.10.x86_64 requires product_flavor (openSUSE), but this requirement cannot be provided.

    its pretty strange since i have created the autoyast xml file from a default opensuse 13.1 X64 installation (have changed nothing in the package selection ,and have accepted the defaults).
    i have choosen "create reference profile" in autoyast. and even checked the xml with the validation tool in autoyast.
    and i don't have any add-on sections in my xml file
    it's pretty easy to reproduce. just install opensuse 13.1 X64 without adding any extra packages, just use the defaults, create a autoyast reference profile. and try to use it to deploy a new system.

  2. #2
    Join Date
    Feb 2012
    Location
    Copenhagen
    Posts
    15

    Default Re: Opensuse 13.1 autoyast spawns package resolver run failed

    Quote Originally Posted by timfolsen View Post
    Dear Opensuse.
    I have run into a issue with Opensuse 13.1 X64 and autoyast. When trying to create a autoyast profile and installing a opensuse 13.1 system with the newly created autoyast profile. during the initial stage of the autoinstallation when running through the packages the system spawns a "package Resolver run failed" error. i can wait 8 seconds and the installation continues. but /var/log/YaST2/badlist shows the following conflict:

    productpenSUSE-13.1-1.10.x86_64 requires product_flavor (openSUSE), but this requirement cannot be provided.

    its pretty strange since i have created the autoyast xml file from a default opensuse 13.1 X64 installation (have changed nothing in the package selection ,and have accepted the defaults).
    i have choosen "create reference profile" in autoyast. and even checked the xml with the validation tool in autoyast.
    and i don't have any add-on sections in my xml file
    it's pretty easy to reproduce. just install opensuse 13.1 X64 without adding any extra packages, just use the defaults, create a autoyast reference profile. and try to use it to deploy a new system.
    found a workaround:
    removing these two from the packages section solves the problem:

    <package>openSUSE-release-ftp</package>
    <package>openSUSE-release-livetree-x11</package>

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •